| highlighting-kate-0.2.4: Syntax highlighting | Contents | Index

Text.Highlighting.Kate.Syntax.Rhtml

Synopsis

highlight :: String -> Either String [SourceLine]
parseExpression :: GenParser Char SyntaxState LabeledSource
syntaxName :: String
syntaxExtensions :: String

Documentation
highlight :: String -> Either String [SourceLine]
Highlight source code using this syntax definition.
parseExpression :: GenParser Char SyntaxState LabeledSource
Parse an expression using appropriate local context.
syntaxName :: String
Full name of language.
syntaxExtensions :: String
Filename extensions for this language.
Produced by Haddock version 2.1.0